{
	"targets": [{
		"target_name": "ldb",
		
		"conditions": [
			["OS == 'win'", {
				"defines": [
					"_HAS_EXCEPTIONS=0"
				],
				"msvs_settings": {
					"VCCLCompilerTool": {
						"RuntimeTypeInfo": "false",
						"EnableFunctionLevelLinking": "true",
						"ExceptionHandling": "2",
						"DisableSpecificWarnings": ["4355", "4530", "4267", "4244", "4506"]
					}
				}
			}],
			['OS == "linux"', {
				'cflags': [],
				'cflags!': ['-fno-tree-vrp']
			}]
		],
		
		"dependencies": [
			"<(module_root_dir)/deps/leveldb/leveldb.gyp:leveldb"
		],
		
		"include_dirs": [
			"<!(node -e \"require('nan')\")"
		],
		
		"sources": [
            "src/hi-node.h",
			"src/ldb.h",
			"src/ldb.cc",
			"src/ldb_async.h",
			"src/ldb_async.cc",
            "src/ldb_batch.h",
            "src/ldb_batch.cc",
			"src/ldb_iterator.h",
			"src/ldb_iterator.cc",
			"src/event_emitter.h",
			"src/event_emitter.cc",
			"src/ldb_module.cc"
		]
	}]
}
